---
html:
  embed_local_images: true
  embed_svg: true
  offline: false
---

## pCon.basket - Integration Example

This example demonstrates how to embedd pCon.basket as an iframe and shows how to communicate with the basket.

### Prerequisites

In order to build and run this example `node.js` has to be installed on your system. It can be downloaded here: [https://nodejs.org](https://nodejs.org/) (LTS version is recommended)

### Configuration

By default the example is configured to use demo data only. If you want to use the data that is linked to your pCon.login account, please open the `config.ts` file and edit the values for `GATEKEEPER_ID` and `PCON_LOGIN_CLIENT_ID`. Both values will be provided to you as part of the registration process.

### Build Instructions

#### 1. Install dependencies

To install all dependencies please open a terminal (e.g. `cmd`, `sh`, `powershell`) and execute the following command in the root folder of the example:

```sh
npm ci
```

#### 2. Running the example

To run the development version use the following command:

```sh
npm start
```

This will start the webpack dev server. The page [http://localhost:3000](http://localhost:3000/) should be opened automatically inside a browser.
Any change to the sources will be compiled automatically while the server is running. Use `CTR+C` inside the terminal to stop the server and webpack.

#### 3. Building the example

If you want to use a different web server you can build the example using this command:

```sh
npm run build
```

This will create a development build of the example in the `build` folder. To create a minified production build please use this command: 

```sh
npm run build:production
```
